Package org.springframework.security.config.method

# Class MethodSecurityMetadataSourceBeanDefinitionParser

java.lang.Object
org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
org.springframework.security.config.method.MethodSecurityMetadataSourceBeanDefinitionParser

All Implemented Interfaces:
  `org.springframework.beans.factory.xml.BeanDefinitionParser`

@Deprecated public class MethodSecurityMetadataSourceBeanDefinitionParser extends org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
Deprecated.
Use `<intercept-methods>`, `<method-security>`, or `@EnableMethodSecurity`

Since:
  3.1

## Field Summary

### Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`ID_ATTRIBUTE, NAME_ATTRIBUTE`

## Constructor Summary

Constructors
Constructor
Description
`MethodSecurityMetadataSourceBeanDefinitionParser()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`org.springframework.beans.factory.support.AbstractBeanDefinition`
`parseInternal(Element elt, org.springframework.beans.factory.xml.ParserContext pc)`
Deprecated.

### Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser

`parse, postProcessComponentDefinition, registerBeanDefinition, resolveId, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback, shouldParseNameAsAliases`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MethodSecurityMetadataSourceBeanDefinitionParser

public MethodSecurityMetadataSourceBeanDefinitionParser()
Deprecated.

## Method Details

### parseInternal

public org.springframework.beans.factory.support.AbstractBeanDefinition parseInternal(Element elt, org.springframework.beans.factory.xml.ParserContext pc)
Deprecated.

Specified by:
  `parseInternal` in class `org.springframework.beans.factory.xml.AbstractBeanDefinitionParser`